# Update pinned views for a membership

PUT https://api.close.com/api/v1/membership/{id}/pinned_views/
Content-Type: application/json

Set the pinned views for the given membership. Provide an ordered list that will overwrite the entire current list.

Reference: https://developer.close.com/api/resources/memberships/update-pinned-views

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /membership/{id}/pinned_views/:
    put:
      operationId: update-pinned-views
      summary: Update pinned views for a membership
      description: >-
        Set the pinned views for the given membership. Provide an ordered list
        that will overwrite the entire current list.
      tags:
        - subpackage_memberships
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/memberships_updatePinnedViews_Response_200
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetPinnedSavedView'
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    SetPinnedSavedView:
      type: object
      properties:
        saved_view_ids:
          type: array
          items:
            type: string
      required:
        - saved_view_ids
      title: SetPinnedSavedView
    memberships_updatePinnedViews_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: memberships_updatePinnedViews_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```